/*
 页面微信分享功能
 */

function shareApp(jsonD, urlType) {
    //根据类型切换相应环境的url
    switch (urlType) {
        case "xd":
            var interfaceUrl = window.location.origin;
            break;

        /*
         case "s":
         var interfaceUrl = "http://devm.leadfund.com.cn";
         break;
         case "p":
         var interfaceUrl = "http://prea.leadfund.com.cn";
         break;

         case "a":
         var interfaceUrl = "http://a.leadfund.com.cn";
         break;

         case "m":
         var interfaceUrl = "http://m.leadfund.com.cn";
         break;*/
    }


    //获取需要分享的数据
    var shareJsonD = jsonD;

    //分享朋友圈
    var shareTimeD = {
        title: jsonD.desc,
        link: jsonD.link,
        imgUrl: jsonD.imgUrl,
        success: function () {
        },
        cancel: function () {
        }
    }


    //分享给好友
    var shareAppMessageD = {
        title: jsonD.title,
        desc: jsonD.desc,
        link: jsonD.link,
        imgUrl: jsonD.imgUrl,
        type: 'link',
        dataUrl: '',
        success: function () {
        },
        cancel: function () {
        }
    }

    $.get(interfaceUrl + "/front-gateway-web/weChatSign.action?time=" + new Date().getMilliseconds(), {"url": window.location.href}, function (result) {
        result = JSON.parse(result);
        wx.config({
            debug: false,
            appId: result.appId,
            timestamp: result.timestamp,
            nonceStr: result.nonceStr,
            signature: result.signature,
            jsApiList: [
                'onMenuShareTimeline', 'onMenuShareAppMessage', 'onMenuShareQQ', 'onMenuShareWeibo'
            ]
        });
    });


    wx.ready(function () {
        try {
            wx.onMenuShareTimeline(shareTimeD);
            wx.onMenuShareAppMessage(shareAppMessageD);
        } catch (e) {
            alert("noShareData");
        }
    });
};

